#include "guess.h"
int find_number(int MAX) {
    int l = 1, r = MAX, ans = -1;
    while(l <= r){
        int m = (l + r) / 2;
        if(smaller(m)){
            r = m - 1;
        }else{
            l = m + 1;
            ans = m;
        }
    }
    return ans;
}

